<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
            <h2 id="jhi-filme-heading" jhiTranslate="locadoraApp.filme.home.createOrEditLabel">Create or edit a Filme</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!filme.id">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id"
                        [(ngModel)]="filme.id" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="locadoraApp.filme.titulo" for="field_titulo">Titulo</label>
                    <input type="text" class="form-control" name="titulo" id="field_titulo"
                        [(ngModel)]="filme.titulo" required/>
                    <div [hidden]="!(editForm.controls.titulo?.dirty && editForm.controls.titulo?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.titulo?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="locadoraApp.filme.categoria" for="field_categoria">Categoria</label>
                    <select class="form-control" name="categoria" [(ngModel)]="filme.categoria" id="field_categoria" >
                        <option value="COMEDIA">{{'locadoraApp.Categoria.COMEDIA' | translate}}</option>
                        <option value="ACAO">{{'locadoraApp.Categoria.ACAO' | translate}}</option>
                        <option value="AVENTURA">{{'locadoraApp.Categoria.AVENTURA' | translate}}</option>
                        <option value="ANIME">{{'locadoraApp.Categoria.ANIME' | translate}}</option>
                        <option value="FAMILIA">{{'locadoraApp.Categoria.FAMILIA' | translate}}</option>
                        <option value="KIDS">{{'locadoraApp.Categoria.KIDS' | translate}}</option>
                        <option value="CULT">{{'locadoraApp.Categoria.CULT' | translate}}</option>
                        <option value="DOCUMENTARIOS">{{'locadoraApp.Categoria.DOCUMENTARIOS' | translate}}</option>
                        <option value="DRAMAS">{{'locadoraApp.Categoria.DRAMAS' | translate}}</option>
                        <option value="TERROS">{{'locadoraApp.Categoria.TERROS' | translate}}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="locadoraApp.filme.diretor" for="field_diretor">Diretor</label>
                    <select class="form-control" id="field_diretor" name="diretor" [(ngModel)]="filme.diretorId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="diretorOption.id" *ngFor="let diretorOption of diretors; trackBy: trackDiretorById">{{diretorOption.nome}}</option>
                    </select>
                </div>
            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
